curl --request POST \
--url https://api.gigabrain.gg/v1/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "Should I long or short ETH right now? Check technicals, funding, and macro. Respond as JSON with: direction, entry_price, stop_loss, take_profit_1, take_profit_2, risk_reward_ratio, confidence, reasoning"
}
'{
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"statusCode": 401,
"message": "Invalid or revoked API key"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"retryAfter": 45,
"resetAt": "2023-11-07T05:31:56Z"
}Brain
Chat with The Brain
Send a natural language query to The Brain. It routes to the right specialist(s) automatically. Add “Respond as JSON with:” to your message and specify fields to get structured JSON back.
POST
/
v1
/
chat
curl --request POST \
--url https://api.gigabrain.gg/v1/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "Should I long or short ETH right now? Check technicals, funding, and macro. Respond as JSON with: direction, entry_price, stop_loss, take_profit_1, take_profit_2, risk_reward_ratio, confidence, reasoning"
}
'{
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"statusCode": 401,
"message": "Invalid or revoked API key"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"retryAfter": 45,
"resetAt": "2023-11-07T05:31:56Z"
}Authorizations
Your Gigabrain API key. Get one at https://gigabrain.gg/profile?tab=api. Format: gb_sk_...
Body
application/json
Your query to The Brain. Add "Respond as JSON with:" and list fields for structured output.
Enable streaming response
Model ID from the provider's API. Use the exact ID the provider uses — e.g. "gpt-4o" for OpenAI, "claude-sonnet-4-20250514" for Anthropic, "anthropic/claude-sonnet-4" for OpenRouter. Requires a connected API key for the chosen provider.
Provider of the custom model. Must match the provider you connected your API key for.
Available options:
openai, anthropic, xai, openrouter, venice Was this page helpful?